
Katello - Bug #4716

Not able to assign activation key to content view

03/19/2014 04:35 PM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. create product, repo, content view

2. got to new activation key page

3. select library environment

Expected:

list of content views available

Current

500 from server:

{"displayMessage":"PGError: ERROR:  column reference \"id\" is ambiguous\nLINE 1: SELECT id FROM \

"katello_content_views\" INNER JOIN \"katello_c...\n               ^\n: SELECT id FROM \"katello_c

ontent_views\" INNER JOIN \"katello_content_view_environments\" ON \"katello_content_view_environm

ents\".\"content_view_id\" = \"katello_content_views\".\"id\" WHERE \"katello_content_views\".\"de

fault\" = 'f' AND \"katello_content_views\".\"organization_id\" = 1 AND (katello_content_view_envi

ronments.environment_id = 1)","errors":["PGError: ERROR:  column reference \"id\" is ambiguous\nLI

NE 1: SELECT id FROM \"katello_content_views\" INNER JOIN \"katello_c...\n               ^\n: SELE

CT id FROM \"katello_content_views\" INNER JOIN \"katello_content_view_environments\" ON \"katello

_content_view_environments\".\"content_view_id\" = \"katello_content_views\".\"id\" WHERE \"katell

o_content_views\".\"default\" = 'f' AND \"katello_content_views\".\"organization_id\" = 1 AND (kat

ello_content_view_environments.environment_id = 1)"]}

History

#1 - 03/19/2014 04:46 PM - Ivan Necas

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

https://github.com/Katello/katello/pull/3839

#2 - 03/19/2014 08:45 PM - Ivan Necas

- Status changed from Ready For Testing to Duplicate

Duplicate of #4708

#3 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#4 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13
https://github.com/Katello/katello/pull/3839
https://projects.theforeman.org/issues/4708


#5 - 03/21/2015 11:02 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#6 - 07/08/2016 11:19 AM - Eric Helms

- translation missing: en.field_release set to 166
